import setuptools
import os

with open("README.md", "r") as fh:
    long_description = fh.read()

version = "0.2.%s" % (os.getenv('CI_PIPELINE_IID'))

setuptools.setup(
    name="lightberry-rpi-switch",
    version=version,
    author="Sam Clark",
    author_email="slc2015@icloud.com",
    description="Lightberry Raspberry Pi Switch",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://www.samclark.me/",
    packages=['lightberry_rpi_switch'],
    package_dir={'lightberry_rpi_switch': 'src'},
    classifiers=[
        "Programming Language :: Python :: 3",
    ],
    scripts=['lightberry-rpi-switch'],
    install_requires=[
        'PyYAML',
        'lightberry-lib'
    ]
)
