import logging.config
from lightberrylib import LightberryClient
from .config import options as config
from .device import Device

logging.config.dictConfig(config.logging)


def run():
    device_inst = Device(config.deviceId, config.pin, config.deviceConfig)

    client = LightberryClient(config.mqtt.host, config.mqtt.port)
    client.set_device(device_inst)
    client.set_keys(config.deviceId, config.secret)
    client.connect()
